Retrieve all business wallets. Required scope: wallet:read.

GETapi-prod.blaaiz.com/api/external/wallet

Authorization

oauth2ClientCredentials wallet:read
AuthorizationBearer <token>

Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.

In: header

Scope: wallet:read

Response Body

application/json

application/json

List all wallets
curl --request GET \  --url 'https://example.com/api/external/wallet'
[  {    "id": "e7efc60f-247d-4ecc-b04b-c4810df25758",    "business_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",    "currency": "NGN",    "currency_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",    "amount": 0,    "is_active": true  },  {    "id": "wallet_cad_456",    "business_id": "9d469b3f-ca6c-4e82-8b4f-5f323c9ab03e",    "currency": "CAD",    "currency_id": "currency_cad_id",    "amount": 25000,    "is_active": true  }]